http://service.chime.aws.amazon.com/accounts/{accountId}/users/{userId}Updates user details for a specified user ID. Currently, only <code>LicenseType</code> updates are supported for this action.
The Amazon Chime account ID.
The user ID.
The user type.
The user license type to update. This must be a supported license type for the Amazon Chime account that the user belongs to.
The Alexa for Business metadata associated with an Amazon Chime user, used to integrate Alexa for Business with a device.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request POST \2 --url 'http://service.chime.aws.amazon.com/accounts/{accountId}/users/{userId}' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}http://service.chime.aws.amazon.com/accounts/{accountId}/users/{userId}Updates user details for a specified user ID. Currently, only <code>LicenseType</code> updates are supported for this action.
The Amazon Chime account ID.
The user ID.
The user type.
The user license type to update. This must be a supported license type for the Amazon Chime account that the user belongs to.
The Alexa for Business metadata associated with an Amazon Chime user, used to integrate Alexa for Business with a device.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request POST \2 --url 'http://service.chime.aws.amazon.com/accounts/{accountId}/users/{userId}' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}